This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 216536

Summary: Review Request: FuzzyOcr - Checks for specific keywords in image attachments
Product: [Fedora] Fedora Reporter: Orion Poplawski <orion>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED WONTFIX QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: greg, nicolas.mailhot, perl-devel, pertusus, rocketraman
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://www.cora.nwra.com/~orion/fedora/
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-11-30 13:43:58 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 216526, 216534, 247704    
Bug Blocks: 201449    

Description Orion Poplawski 2006-11-20 18:16:25 EST
Spec Name or Url: http://www.cora.nwra.com/~orion/fedora/FuzzyOcr.spec
SRPM Name or Url: http://www.cora.nwra.com/~orion/fedora/
Description: 

FuzzyOcr is a plugin for SpamAssassin written by Christian Holler and Jorge
Valdes. It is based on the OcrPlugin written by Maarten de Boer, but has been
heavily modified and improved to the point that it bears little resemblance
today.


Perhaps this should be called spamassassin-FuzzyOcr?  Installed somewhere else?
 Seems to be the first separately packaged SpamAssassin module that I can see.
Comment 1 Greg Swallow 2006-11-27 18:23:54 EST
FYI, SME Server (RHEL4/CentOS4 compatible distro) is currently testing and 
packaging FuzzyOcr - cvs is here:
http://smeserver.cvs.sourceforge.net/smeserver/FuzzyOcr/
http://smeserver.cvs.sourceforge.net/*checkout*/smeserver/FuzzyOcr/F/FuzzyOcr.sp
ec

I'm sure our spec file is not up to Fedora extras standards, but just letting 
you know it's there - for comparison to your version.

I googled and other distro's seem to use naming like:
perl-Mail-SpamAssassin-Plugin-PluginName
...but that seems too long.
Comment 2 Greg Swallow 2006-11-27 18:43:21 EST
Also requires perl-MLDBM and gifsicle according to:
http://fuzzyocr.own-hero.net/wiki/Installation-3.x

Rpmforge packages perl-MLDBM:
http://svn.rpmforge.net/svn/trunk/rpms/perl-MLDBM/perl-MLDBM.spec

SME Server packages gifsicle:
http://smeserver.cvs.sourceforge.net/smeserver/gifsicle/
Comment 3 Greg Swallow 2006-12-10 17:12:02 EST
New version 3.5.0-rc1 additionally requires perl-MLDBM-Sync, perl-Log-Agent and 
perl-Time-Hires.

http://fuzzyocr.own-hero.net/wiki/Downloads
http://fuzzyocr.own-hero.net/wiki/Installation-3.5.x
Comment 4 Greg Swallow 2006-12-11 19:42:59 EST
Still there Orion?  Maybe someone else that is looking at this would like to 
help with getting the required perl modules into Extras.  Maybe get the 
attention of Fedora's perl SIG somehow...

In 3.5.0-rc1 perl-Tie-Cache is also needed (enables some functionality in MLDBM-
Sync - not in Extras - rpmforge packages it currently).  It has a few 
dependancies - perl-Tie-Cache-LRU (not in Extras - rpmforge packages it 
currently), perl-enum (not in Extras - rpmforge packages it currently), perl-
Carp-Assert (in Extras).  

Our cvs is updated with a spec file for 3.5.0-rc1 (on EL4).  Ignore the netpbm 
patches, you won't need them for FC6/7.
Comment 5 Orion Poplawski 2006-12-11 22:16:12 EST
I'm afraid I'm getting swamped and I'm getting put off by how crappy gocr
appears to be.  If someone else want to drive this, I'd be more than happy.
Comment 6 Greg Swallow 2006-12-12 03:02:08 EST
ocrad is used more than gocr in the new version, and the scansets are 
configurable:
http://fuzzyocr.own-hero.net/browser/trunk/devel/FuzzyOcr.scansets

I don't blame you for becoming disinterested seeing as no one who could do a 
review has made a comment in 3 weeks.  As a start, could someone please comment 
on the naming of this rpm?
Comment 7 Tom "spot" Callaway 2006-12-12 03:09:08 EST
spamassassin-FuzzyOcr is what I would name it if it were my package, but I'll
leave this to the packager's discretion, as it is an obvious grey area.
Comment 8 Greg Swallow 2007-03-21 12:42:05 EDT
Orion, we've updated our version to 3.5.1 (plus some fixes) and the spec file 
works with EL4 and EL5 now - should be good for Fedora6/7 too.
http://smeserver.cvs.sourceforge.net/smeserver/FuzzyOcr/
Comment 9 Jason Tibbitts 2007-06-16 02:32:49 EDT
Has there been any progress here?  If Orion no longer wants to drive this
submission, perhaps this ticket should be closed.  If someone else wants to
submit this package, they can open a separate ticket.
Comment 10 Jason Tibbitts 2007-07-06 15:26:17 EDT
Setting NEEDINFO; I will close this ticket soon if there is no response.
Comment 11 Orion Poplawski 2007-07-10 16:24:31 EDT
Adding dependency on gifsicle.
Comment 12 Orion Poplawski 2007-07-10 17:12:00 EDT
New version here:

http://www.cora.nwra.com/~orion/fedora/spamassassin-FuzzyOcr.spec
http://www.cora.nwra.com/~orion/fedora/spamassassin-FuzzyOcr-3.5.1-1.src.rpm

* Tue Jul 10 2007 - Orion Poplawski <orion@cora.nwra.com> - 3.5.1-1
- Update to 3.5.1
- Change Requires to packages, add gifsicle
- Get install from smeserver spec

One issue looks like that 3.5.1 does not support SA 3.5.X which is in F-7.  May
need to make a version based on SVN for those releases - or should I move to svn
right now for all releases.
Comment 13 Greg Swallow 2007-07-11 14:42:55 EDT
You could name it 3.5.1 and add the SVN changes as a patch - you can get that 
from the upstream's trac.  Eg:
http://fuzzyocr.own-hero.net/changeset?
format=diff&new=131&old=125&new_path=trunk%2Fdevel&old_path=trunk%2Fdevel

Revision 125 was 3.5.1

You can see a summary of all the changes here:
http://fuzzyocr.own-hero.net/log/trunk/devel
Comment 14 Mamoru TASAKA 2007-11-22 08:05:33 EST
What is the status of this bug?
Comment 15 Orion Poplawski 2007-11-30 13:43:58 EST
I'm afraid I've lost interest and time.  If someone else could take over, that
would be great.